Generate preview Job change
curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"change_type": "add_job_description",
"context": {
"instructions": "Please use inclusive language and highlight remote work opportunities",
"reference_job_ids": [
"5cbdbdbe-5f44-4423-8157-5fgqsef7b834c",
"62d2c013-ab77-410e-b5fb-2f96eed9c1db"
],
"sections_to_include": [
"Summary",
"Responsibilities"
],
"use_internal_job_data": true
},
"job_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/preview"
payload = {
"change_type": "add_job_description",
"context": {
"instructions": "Please use inclusive language and highlight remote work opportunities",
"reference_job_ids": ["5cbdbdbe-5f44-4423-8157-5fgqsef7b834c", "62d2c013-ab77-410e-b5fb-2f96eed9c1db"],
"sections_to_include": ["Summary", "Responsibilities"],
"use_internal_job_data": True
},
"job_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
change_type: 'add_job_description',
context: {
instructions: 'Please use inclusive language and highlight remote work opportunities',
reference_job_ids: [
'5cbdbdbe-5f44-4423-8157-5fgqsef7b834c',
'62d2c013-ab77-410e-b5fb-2f96eed9c1db'
],
sections_to_include: ['Summary', 'Responsibilities'],
use_internal_job_data: true
},
job_id: 'a3903505-eb84-42dc-a79f-5e7b1fe897b7'
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"change_id": "01JZ54K5YVCXWCT2J3B7EJCSZD"
}[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Changes
Generate preview Job change
Generate a preview Job change for a specific Job.
Generate preview Job change
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Type of change made to a Job.
Available options:
add_job_description Example:
"add_job_description"
Additional context information for Job changes
Show child attributes
Show child attributes
Job external ID to preview change for
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Response
Accepted
Unique identifier for the previewed Job change
Example:
"01JZ54K5YVCXWCT2J3B7EJCSZD"
Was this page helpful?
⌘I